curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batches/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"automatically_close_at": "2019-08-24T14:15:22Z",
"business_unit_id": "string",
"closed_at": "2019-08-24T14:15:22Z",
"count": 0.1,
"currency_code": "str",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date": "2019-08-24",
"dependents": [
"string"
],
"description": "string",
"downloaded_at": "2019-08-24T14:15:22Z",
"downloading_workflow_execution_id": "string",
"errors": [
{
"error_message": "string",
"transaction_id": "string",
"transaction_type": "string"
}
],
"fiscal_period": 1,
"fiscal_year_id": "string",
"id": "string",
"name": "string",
"posted_at": "2019-08-24T14:15:22Z",
"posting_workflow_execution_id": "string",
"recurring_batch_id": "string",
"statistics": {
"credit_memo_total": 0.1,
"credit_total": 0.1,
"debit_memo_total": 0.1,
"invoice_total": 0.1,
"number_of_credit_memos": 0.1,
"number_of_credits": 0.1,
"number_of_debit_memos": 0.1,
"number_of_invoices": 0.1,
"number_of_payments": 0.1,
"number_of_refunds": 0.1,
"number_of_write_offs": 0.1,
"payment_total": 0.1,
"refund_total": 0.1,
"write_off_total": 0.1
},
"status": "archived",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_composite_fiscal_period_key": "string",
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_fiscal_period_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total": 0.1,
"type": "cost of goods sold",
"unposting_workflow_execution_id": "string"
}'